summaryrefslogtreecommitdiffstats
path: root/git-clang-format.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git-clang-format.sh')
-rwxr-xr-xgit-clang-format.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/git-clang-format.sh b/git-clang-format.sh
new file mode 100755
index 0000000..6348652
--- /dev/null
+++ b/git-clang-format.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+cd "$(dirname "$0")"
+CLANG_FORMAT="$(find $(echo "$PATH" | tr ':' ' ') -name 'git-clang-format-*' | sort | tail -n1 )"
+if [ -z "$CLANG_FORMAT" ]; then
+ echo >&2 'Could not find a clang-format to use. Is the package clang-format installed?'
+ exit 1
+fi
+git "$(basename "$CLANG_FORMAT" | cut -d'-' -f 2-)" --diff "$@" | \
+ sed "s#+/\*\}\}\}\*/#+ /*}}}*/#" | \
+ patch -p1